Mail archive
alpine-aports

[alpine-aports] [PATCH 4/4] testing/php7-couchbase: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Tue, 29 Nov 2016 00:57:55 +0200

---
 testing/php7-couchbase/APKBUILD | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)
 create mode 100644 testing/php7-couchbase/APKBUILD
diff --git a/testing/php7-couchbase/APKBUILD b/testing/php7-couchbase/APKBUILD
new file mode 100644
index 0000000..554652c
--- /dev/null
+++ b/testing/php7-couchbase/APKBUILD
_at_@ -0,0 +1,34 @@
+# Contributor: Nathan Johnson <nathan_at_nathanjohnson.info>
+# Maintainer: Nathan Johnson <nathan_at_nathanjohnson.info>
+pkgname=php7-couchbase
+pkgver=2.2.3
+pkgrel=2
+_pkgver=${pkgver/_rc/RC}
+_pkgname=${pkgname#*-}
+pkgdesc="The PHP client library provides fast access to documents stored in a Couchbase Server"
+url="http://pecl.php.net/package/$_pkgname"
+arch="all"
+license="ASL-2.0"
+depends=""
+makedepends="${pkgname%%-*}-dev autoconf libcouchbase-dev zlib-dev"
+source="http://pecl.php.net/get/$_pkgname-$_pkgver.tgz"
+builddir="$srcdir"/$_pkgname-$_pkgver
+
+build() {
+	cd "$builddir"
+	phpize || return 1
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make INSTALL_ROOT="$pkgdir"/ install || return 1
+	echo "extension=$_pkgname.so" > $_pkgname.ini
+	install -Dm644 $_pkgname.ini \
+		"$pkgdir"$(php-config | xargs -n1 | grep config-file-scan-dir | cut -d= -f2)/$_pkgname.ini
+}
+
+md5sums="f58ee1596ade978832f033f2e1662579  couchbase-2.2.3.tgz"
+sha256sums="5c998e9c98e51a783a5d74ec36aa6ac740a4a958dd8c206ed9e9d1580234907f  couchbase-2.2.3.tgz"
+sha512sums="d1feeb33a8ce450919731d17f84b170eaa68da104cedfe8ffa56f4e2e6062e250077d00babaca4872cc5bf271509daee2ca83e35cfb4b8ceef4b402cc20c1bf3  couchbase-2.2.3.tgz"
-- 
2.10.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Nov 29 2016 - 00:57:55 GMT